import Vue from 'vue'
const shareMixin = {
	data() {
	    return {
			 staticUrl: this.global.staticUrl,	
		}
	},	
    onShareAppMessage(res) {
    	//分享转发
    	if (res.from === 'button') {
    		// 来自页面内转发按钮
    	} 
    	return {
    		title: '联合丽格集采商城',
    		path: 'pages/tabBar/home/index',
    		imageUrl: `${this.staticUrl}icon_share_home@2x.png`
    	}
    },
    // 分享朋友圈
    onShareTimeline() {
        return {
            title: '联合丽格集采商城',
            path: 'pages/tabBar/home/index',
    		imageUrl: `${this.staticUrl}icon_share_home@2x.png`
        }
    }
}

export default shareMixin
